Loading...
Searching...
No Matches
SampleConsensusProblem.hpp File Reference

Basis-class for Sample-consensus problems. Contains declarations for the three basic functions of a sample-consensus problem (sample drawing, computation of a hypothesis, and verification of a hypothesis). More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <random>`
`#include <functional>`
`#include <memory>`
`#include <ctime>`
`#include "implementation/SampleConsensusProblem.hpp"`

Go to the source code of this file.

## Classes

class | opengv::sac::SampleConsensusProblem< MODEL_T >

## Namespaces

namespace | opengv
| The namespace of this library.
namespace | opengv::sac
| The namespace for the sample consensus methods.

## Detailed Description

Basis-class for Sample-consensus problems. Contains declarations for the three basic functions of a sample-consensus problem (sample drawing, computation of a hypothesis, and verification of a hypothesis).